Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Typedefs | Enumerations | Functions
any_view.hpp File Reference

## Classes
struct | ranges::any_view< Ref, Cat, enable >
| A type-erased view. More...
struct | ranges::any_view< Ref, Cat, meta::if_c<(Cat &category::forward)==category::input > >

## Typedefs
template<typename Ref >
using | ranges::any_bidirectional_view = any_view< Ref, category::bidirectional >
template<typename Ref >
using | ranges::any_forward_view = any_view< Ref, category::forward >
template<typename Ref >
using | ranges::any_input_view = any_view< Ref, category::input >
template<typename Ref >
using | ranges::any_random_access_view = any_view< Ref, category::random_access >

## Enumerations
enum | ranges::category { ranges::category::none = 0, ranges::category::input = 1, ranges::category::forward = 3, ranges::category::bidirectional = 7, ranges::category::random_access = 15, ranges::category::mask = random_access, ranges::category::sized = 16 }
| An enum that denotes the supported subset of range concepts supported by a range.

## Functions
template<typename Rng >
| ranges::any_view (Rng &&) -> any_view< range_reference_t< Rng >, get_categories< Rng >()>

## Function Documentation

## ◆ any_view()

template<typename Rng >

ranges::any_view | ( | Rng && |  | ) | -> any_view< range_reference_t< Rng >, get_categories< Rng >()>

Precondition
  requires `view_<Rng>`